package com.ruoyi.ss.user.service.impl;

import com.ruoyi.common.core.domain.entity.SmUser;
import com.ruoyi.ss.user.service.UserConverter;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/10/15
 */
@Service
public class UserConverterImpl implements UserConverter {
    @Override
    public SmUser toUserSettingByApp(SmUser data) {
        if (data == null) {
            return null;
        }
        SmUser po = new SmUser();
        po.setUserId(data.getUserId());
        po.setAgentDeviceService(data.getAgentDeviceService());
        return po;
    }
}
